loading...<template>
<div id="viewer">
</div>
</template>
<script>
import Vue from 'vue'
import BootstrapVue from 'bootstrap-vue'
import 'bootstrap.css';
Vue.use(BootstrapVue)
let App = Vue.extend({
name: 'app',
data: function () {
return {
}
},
mounted: function () {
const viewer = new DsPdfViewer(this.$el, { workerSrc: "/document-solutions/javascript-pdf-viewer/demos/product-bundles/build/dspdfviewer.worker.js"});
viewer.addDefaultPanels();
viewer.open("/document-solutions/javascript-pdf-viewer/demos/product-bundles/assets/pdf/helloworld.pdf");
},
beforeDestroy: function () { }
})
new Vue({ render: h => h(App) }).$mount('#app');
</script>
<style>
body {
margin-bottom: 0px;
}
label {
margin-right: 0px;
}
#viewer {
}
</style>

loading...import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './app.css';
import {DsPdfViewer} from '@mescius/dspdfviewer';
import '/document-solutions/javascript-pdf-viewer/demos/resource/js/init.js';
class App extends React.Component {
_viewer;
constructor(props) {
super(props);
}
componentDidMount() {
const root = ReactDOM.findDOMNode(this);
const viewer = new DsPdfViewer(root, {
workerSrc: "/document-solutions/javascript-pdf-viewer/demos/product-bundles/build/dspdfviewer.worker.js"
});
viewer.addDefaultPanels();
viewer.open("/document-solutions/javascript-pdf-viewer/demos/product-bundles/assets/pdf/helloworld.pdf");
this._viewer = viewer;
}
componentWillUnmount() {
if(this._viewer) {
this._viewer.dispose();
this._viewer = null;
}
}
render(){
return <div id="viewer"></div>
}
}
ReactDOM.render(<App />, document.getElementById('app'));

loading...import "bootstrap.css"
import { NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import {Component} from '@angular/core';
import './app.css';
import {DsPdfViewer} from '@mescius/dspdfviewer';
import '/document-solutions/javascript-pdf-viewer/demos/resource/js/init.js';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
ngAfterViewInit() {
const viewer = new DsPdfViewer("#viewer", {
workerSrc: "/document-solutions/javascript-pdf-viewer/demos/product-bundles/build/dspdfviewer.worker.js",
cMapUrl: "/document-solutions/javascript-pdf-viewer/demos/product-bundles/build/resources/bcmaps/",
restoreViewStateOnLoad: false
});
viewer.addDefaultPanels();
viewer.open("/document-solutions/javascript-pdf-viewer/demos/product-bundles/assets/pdf/helloworld.pdf");
}
}
@NgModule({
imports: [BrowserModule, NgbModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
//
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);